PDA

View Full Version : Installation dependency unresolved



mavery
July 1st, 2010, 09:05 PM
I'm having difficulty installing 3.1.1 from the backup-server deb file. I'm told that the backup-client is not installed, but the download web-page implies that installing the server installs the client. Any clues to how do resolve this problem? Do I need to reset dpkg somehow? I can see that the binaries are installed but I'm getting weird errors like this:



> amadmin info
amadmin: critical (fatal): create debug directory "/var/log/amanda/server/": Permission denied
amadmin: create debug directory "/var/log/amanda/server/": Permission denied
/usr/lib/amanda/libamanda-3.1.1.so[0x7f174197122b]
/usr/lib/libglib-2.0.so.0(g_logv+0x242)[0x7f1741087832]
/usr/lib/libglib-2.0.so.0(g_log+0x83)[0x7f1741087a03]
/usr/lib/amanda/libamanda-3.1.1.so[0x7f1741971587]
/usr/lib/amanda/libamanda-3.1.1.so(debug_open+0x2f)[0x7f1741971dea]
amadmin(main+0x6a)[0x402ee2]
/lib/libc.so.6(__libc_start_main+0xda)[0x7f173fcf44ca]
amadmin[0x402dea]

I'm running Deb 4.

Thanks!

Avery


# sudo dpkg -i amanda-backup-server_3.1.1-1Debian40_amd64.deb

Unpacking amanda-backup-server (from amanda-backup-server_3.1.1-1Debian40_amd64.deb) ...
Jul 1 2010 21:46:34: Preparing to install Amanda
Jul 1 2010 21:46:34: Checking for amandabackup user...
Jul 1 2010 21:46:34:
Jul 1 2010 21:46:34: The Amanda backup software is configured to operate as the
Jul 1 2010 21:46:34: user 'amandabackup'. This user exists on your system and has not
Jul 1 2010 21:46:34: been modified. To ensure that Amanda functions properly,
Jul 1 2010 21:46:34: please see that the following parameters are set for that
Jul 1 2010 21:46:34: user.:
Jul 1 2010 21:46:34:
Jul 1 2010 21:46:34: SHELL: /bin/sh
Jul 1 2010 21:46:34: HOME: /var/lib/amanda
Jul 1 2010 21:46:34: Default group: disk
Jul 1 2010 21:46:34: Verifying amandabackup user parameters :
Jul 1 2010 21:46:34: Verified group name of user 'amandabackup'
Jul 1 2010 21:46:34:
Jul 1 2010 21:46:34: Checking ownership of '/var/lib/amanda'... correct.
Jul 1 2010 21:46:34:
Jul 1 2010 21:46:34: === Amanda installation started. ===
dpkg: dependency problems prevent configuration of amanda-backup-server:
amanda-backup-server depends on amanda-backup-client; however:
Package amanda-backup-client is not installed.
dpkg: error processing amanda-backup-server (--install):
dependency problems - leaving unconfigured
Errors were encountered while processing:

andrus
August 1st, 2010, 08:34 AM
Just issue "apt-get -f install".
This will install the needed dependencies and configure amanda.